AgrolinerContainer = {};

function AgrolinerContainer.prerequisitesPresent(specializations)
    return true;
end;

function AgrolinerContainer:load(xmlFile)
	self.isHakenliftObject = true;
end;

function AgrolinerContainer:delete()
end;

function AgrolinerContainer:readStream(streamId, connection)	
end;

function AgrolinerContainer:writeStream(streamId, connection)
end;

function AgrolinerContainer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AgrolinerContainer:keyEvent(unicode, sym, modifier, isDown)
end;

function AgrolinerContainer:update(dt)
	if self.attacherVehicle ~= nil and self.attacherVehicle.isHakenliftTrailer then
		self.tipReferencePoint = self.attacherVehicle.tipReferencePoint;
	end;
	if self.attacherVehicle ~= nil and self.attacherVehicle:getIsActiveForInput() and self.attacherVehicle.isHakenliftTrailer and self.attacherVehicle.selectedImplement == 0 then
		if self.isClient then
            if self.currentFillType ~= Fillable.FILLTYPE_UNKNOWN then
                local fruitType = FruitUtil.fillTypeToFruitType[self.currentFillType];
                if fruitType ~= nil then
					g_currentMission:setFruitOverlayFruitType(fruitType);
				end;
            end;
        end;
	end;
end;

function AgrolinerContainer:updateTick(dt)
end;

function AgrolinerContainer:draw()
	
end;

function AgrolinerContainer:onAttach(attacherVehicle)
end;

function AgrolinerContainer:onDetach()
	self.tipReferencePoint = nil;
end;